Bug 467912 - Evolution calendar ends DST one week too early
Evolution calendar ends DST one week too early
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 13:24 EDT by Christoph Höger
Modified: 2008-11-13 05:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 03:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 548268 None None None Never

  None (edit)
Description Christoph Höger 2008-10-21 13:24:43 EDT
Description of problem:
Since this week, evolution thinks DST is over here in Berlin, which is definitely not the case.

Version-Release number of selected component (if applicable):
evolution-2.22.3.1-1.fc9.i386

How reproducible:
- cannot reproduce until next year -
 
Actual results:
Evolution calendar time is 1 hour ahead of real time. That renders all event-alerts and stuff useless.

Expected results:
Evolution should wait until next week.

Additional info:
see http://en.wikipedia.org/wiki/Daylight_saving_time_around_the_world#In_general for more informations.
Comment 1 Matthew Barnes 2008-10-21 16:16:20 EDT
Evolution uses system timezone data now, not its own.
Is your tzdata package up to date?
Comment 2 Christoph Höger 2008-10-21 16:28:43 EDT
I assume: tzdata-2008h-1.fc9.noarch

Evolution calendar has a switch to choose if you want to calculate with DST. As a matter of fact evolution is 1hour behind now, while e.g. gnome app is not.

That bug also appeared on debian:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502839
Comment 3 Göran Uddeborg 2008-10-23 05:31:51 EDT
Happens on RHEL 5 too.  Plain "date" is correct, but evolution calendar has got it wrong.
Comment 4 Milan Crha 2008-10-31 16:35:08 EDT
(In reply to comment #2)
> Evolution calendar has a switch to choose if you want to calculate with DST.

I was told that the option is (more or less) useless these days, but I do not know which state "works" better, either have it checked or unchecked can fix it.

There is also other possibility of the problem, each calendar source stores its own cache of timezones and in case it's present there, it uses it. When it has there stored incorrect timezone information, then it uses it too, instead of the (possible updated) system one. What is your calendar source type here? (like local/caldav/...) and was this the fresh install or some update from the previous version?
Comment 5 Christoph Höger 2008-11-12 03:26:08 EST
It was a local calendar, but as 
a) DST is here now
b) that will happen after EOL of fedora 9
c) it's fixed in fedora 10

I think I'll close that bug (finally a positive result of fedoras short term support policy ;))
Comment 6 Göran Uddeborg 2008-11-12 16:51:21 EST
(In reply to comment #5)
> b) that will happen after EOL of fedora 9

> (finally a positive result of fedoras short term
> support policy ;))

True, but it did happen in RHEL 5 too.
Comment 7 Milan Crha 2008-11-13 05:40:23 EST
I was directed to the upstream bug when asking the upstream developer of the other bug. Maybe it's related to this as well.

http://bugzilla.gnome.org/show_bug.cgi?id=548268

Note You need to log in before you can comment on or make changes to this bug.